%global debug_package %{nil}
%global __cmake_in_source_build 1

Name:           glyr
Version:        1.0.10
Release:        2%{?dist}
Summary:        Glyr is a search eninge for musicrelated metadata

Group:          System Environment/Libraries
License:        GPLv3+
URL:            https://github.com/sahib/glyr
Source0:        https://github.com/sahib/glyr/archive/%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  glib2-devel >= 2.10
BuildRequires:  libcurl-devel
BuildRequires:  sqlite-devel >= 3.4

Requires:       libcurl
Requires:       sqlite
Requires:       lib%{name} = %{version}-%{release}

%description
Glyr is a searcheninge for musicrelated metadata.
It comes both in a commandline interface tool and as a C library, both with an
easy to use interface. The sort of metadata glyr is searching (and downloading)
is usually the data you see in your musicplayer. And indeed, originally it was
written to serve as internally library for a musicplayer, but has been extended
to work as a standalone program which is able to download: cover art, lyrics,
bandphotos, artist biography, album reviews, tracklists of an album,a list of
albums from a specific artist, tags, either related to artist, album or title
relations, for example links to wikipedia, similar artists and similar songs.

%package        -n lib%{name}
Summary:        %{name} library
Group:          Development/Libraries

%description    -n lib%{name}
The lib%{name} package contains libraries for applications that use %{name}.


%package        -n lib%{name}-devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       lib%{name} = %{version}-%{release}

%description    -n lib%{name}-devel
The lib%{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q


%build
%{cmake}
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} STRIP=/bin/true
#find %{buildroot} -name '*.la' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc CHANGELOG AUTHORS COPYING
%{_bindir}/glyrc


%files -n lib%{name}
%{_libdir}/lib%{name}.so.*


%files -n lib%{name}-devel
%{_includedir}/%{name}/glyr.h
%{_includedir}/%{name}/types.h
%{_includedir}/%{name}/cache.h
%{_includedir}/%{name}/misc.h
%{_includedir}/%{name}/config.h
%{_includedir}/%{name}/testing.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%changelog
* Tue Nov 07 2023 Vadim Raskhozhev <iamdexpl@gmail.com> - 1.0.10-2
- Added 'BuildRequires: gcc'

* Tue Nov 22 2016 Vadim Raskhozhev <iamdexpl@gmail.com> - 1.0.10-1
- new version

* Sun May 15 2016 Vadim Raskhozhev <iamdexpl@gmail.com> - 1.0.8-1
- new version

* Wed Sep 10 2014 Matias De lellis <mati86dl@gmail.com> - 1.0.6-1
- Update to stable 1.0.6

* Mon Mar 17 2014 Matias De lellis <mati86dl@gmail.com> - 1.0.5-2
- Add glib to BuildRequires

* Sun Feb 09 2014 Matias De lellis <mati86dl@gmail.com> - 1.0.5-1
- Update to estable 1.0.5
- Split glyrc commandline tool and libraries.

* Tue Dec 17 2013 Matias De lellis <mati86dl@gmail.com> - 1.0.2-1
- Update to estable 1.0.2

* Sat Mar 02 2013 Matias De lellis <mati86dl@gmail.com> - 1.0.1-1
- Update to estable 1.0.1

* Wed Aug 22 2012 Matias De lellis <mati86dl@gmail.com> - 1.0.0-1
- Update to estable 1.0.0

* Tue Mar 06 2012 Matias De lellis <mati86dl@gmail.com> - 0.9.5-1
- Update to estable 0.9.5

* Wed Feb 29 2012 Matias De lellis <mati86dl@gmail.com> - 0.9.4-1.20120221git1d351dfc
- Update to last git snapshot.

* Tue Jan 31 2012 Matias De lellis <mati86dl@gmail.com> - 0.9.3-1.20120123git212166e8
- Initial package
